<?php
defined('C5_EXECUTE') or die(_("Access Denied."));
/**
 * @copyright Fumito MIZUNO 2014
 * @license GNU Affero General Public License ver.3.0 or later
 * http://www.gnu.org/licenses/agpl-3.0.html
 * @link http://www.rescuework.jp/
 */

class LastloginipPackage extends Package {
    protected $pkgDescription = 'lastloginip';
    protected $pkgName = "Lastloginip";
    protected $pkgHandle = 'lastloginip';

    protected $appVersionRequired = '5.5';
    protected $pkgVersion = '1.0';

    public function on_start() {
        $u = new User();
        if (is_object($u) && $u->uID) {
            $uo = UserInfo::getByID($u->uID);
            $address = $uo->getLastIPAddress();
            $ihm = Loader::helper('concrete/interface/menu');
            $message = t('Last Login IP: ').$address.'<br>'.t('This IP: ').$_SERVER['REMOTE_ADDR'];
            $ihm->addPageHeaderMenuItem('alert', $message, 'left', array(
                'dialog-title'    => t('Last Login IP: '),
            ),
            'lastloginip');
        }
    }

    public function install() {

        $pkg = parent::install();
    }


    function delete_package_from_db() {
        $db = Loader::db();
        $db->execute('DELETE FROM Packages WHERE pkgHandle = "lastloginip"');
    }


}
